On this page
No Headings
The documentation for this 'endpoint' is different from the other endpoints under v2 Orders. For this endpoint the role of client and server is reversed. The client sending the request is PayPal, and the server sending the response is the merchant. In the request, PayPal will send the buyer's redacted shipping address and selected shipping option to the callback URL defined the create order request. The response from the merchant will update the Orders resource.
Oauth2 https://uri.paypal.com/services/payments/paymentOauth 2.0 authentication
In: header
Scope: https://uri.paypal.com/services/payments/payment
Holds authorization information for external API calls.
^.*$1 <= length <= 16000application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
Request samples
Response samples
{
"id": "5O190127TN364715T",
"purchase_units": {
"reference_id": "d9f80740-38f0-11e8-b467-0ed5f89f718b",
"amount": {
"currency_code": "USD",
"value": "90.00",
"breakdown": {
"item_total": {
"currency_code": "USD",
"value": "90.00"
},
"tax_total": {
"currency_code": "USD",
"value": "10.00"
},
"shipping": {
"currency_code": "USD",
"value": "0.00"
},
"discount": {
"currency_code": "USD",
"value": "10.00",
"breakdown": [
{
"value": "10.00",
"currency_code": "USD",
"discount_code": "SUMMER_SALE",
"description": "$10 off for summer sale"
}
]
}
}
},
"items": [
{
"name": "T-Shirt",
"description": "Green XL",
"sku": "sku01",
"unit_amount": {
"currency_code": "USD",
"value": "90.00"
},
"tax": {
"currency_code": "USD",
"value": "10.00"
},
"quantity": "1",
"category": "PHYSICAL_GOODS"
}
],
"shipping": {
"options": [
{
"id": "FEDEX",
"amount": {
"currency_code": "USD",
"value": "0.00"
},
"type": "SHIPPING",
"label": "Free Shipping",
"selected": true
}
]
}
}
}{
"name": "string",
"message": "string",
"details": [
{
"field": "string",
"value": "string",
"issue": "string"
}
]
}{
"name": "string",
"message": "string",
"details": [
{
"field": "string",
"value": "string",
"issue": "string"
}
]
}An array of purchase units. At present only 1 purchase_unit is supported. Each purchase unit establishes a contract between a payer and the payee. Each purchase unit represents either a full or partial order that the payer intends to purchase from the payee.
1 <= items <= 1